- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FlowShopEval Class Reference

Evaluation of the objective vector a (multi-objective) FlowShop object. More...

`#include <FlowShopEval.h>`

Inheritance diagram for FlowShopEval:

List of all members.

## Public Member Functions
| FlowShopEval (unsigned int _M, unsigned int _N, const std::vector< std::vector< unsigned int > > &_p, const std::vector< unsigned int > &_d)
| Ctor.
void | operator() (FlowShop &_flowshop)
| computation of the multi-objective evaluation of a FlowShop object
## Private Member Functions
double | makespan (const FlowShop &_flowshop)
| computation of the makespan
double | tardiness (const FlowShop &_flowshop)
| computation of the tardiness
std::vector< std::vector< unsigned int > > | completionTime (const FlowShop &_flowshop)
| computation of the completion times of a scheduling (for each job on each machine) C[i][j] = completion of the jth job of the scheduling on the ith machine
## Private Attributes
unsigned int | M
| number of machines
unsigned int | N
| number of jobs
std::vector< std::vector< unsigned int > > | p
| p[i][j] = processing time of job j on machine i
std::vector< unsigned int > | d
| d[j] = due-date of the job j

## Detailed Description

Evaluation of the objective vector a (multi-objective) FlowShop object.

Definition at line 23 of file FlowShopEval.h.

## Constructor & Destructor Documentation

FlowShopEval::FlowShopEval | ( | unsigned int | _M,
|  | unsigned int | _N,
|  | const std::vector< std::vector< unsigned int > > & | _p,
|  | const std::vector< unsigned int > & | _d |
| ) |  |  |

Ctor.

Parameters:

  | _M | the number of machines
  | _N | the number of jobs to schedule
  | _p | the processing times
  | _d | the due dates

Definition at line 16 of file FlowShopEval.cpp.

## Member Function Documentation

void FlowShopEval::operator() | ( | FlowShop & | _flowshop | ) |

computation of the multi-objective evaluation of a FlowShop object

Parameters:

  | _flowshop | the FlowShop object to evaluate

Definition at line 21 of file FlowShopEval.cpp.

References makespan(), MOEO< MOEOObjectiveVector, MOEOFitness, MOEODiversity >::objectiveVector(), and tardiness().

double FlowShopEval::makespan | ( | const FlowShop & | _flowshop | ) | `[private]`

computation of the makespan

Parameters:

  | _flowshop | the genotype to evaluate

Definition at line 31 of file FlowShopEval.cpp.

References completionTime(), M, and N.

Referenced by operator()().

double FlowShopEval::tardiness | ( | const FlowShop & | _flowshop | ) | `[private]`

computation of the tardiness

Parameters:

  | _flowshop | the genotype to evaluate

Definition at line 40 of file FlowShopEval.cpp.

References completionTime(), d, M, and N.

Referenced by operator()().

std::vector< std::vector< unsigned int > > FlowShopEval::completionTime | ( | const FlowShop & | _flowshop | ) | `[private]`

computation of the completion times of a scheduling (for each job on each machine) C[i][j] = completion of the jth job of the scheduling on the ith machine

Parameters:

  | _flowshop | the genotype to evaluate

Definition at line 53 of file FlowShopEval.cpp.

References M, N, and p.

Referenced by makespan(), and tardiness().

The documentation for this class was generated from the following files:

- FlowShopEval.h
- FlowShopEval.cpp